> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/onboarding/cloudinit

> Get all the onboarding tokens

## OpenAPI

````json GET /v1/onboarding/cloudinit
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/onboarding/cloudinit": {
      "get": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1OnboardingCloudinitGetResponse"
                }
              }
            }
          }
        },
        "description": "Get all the onboarding tokens"
      }
    }
  },
  "components": {
    "schemas": {
      "v1OnboardingCloudinitGetResponse": {
        "type": "object",
        "properties": {
          "cloudinitTokens": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/onboardingCloudInitToken"
            }
          }
        },
        "additionalProperties": false
      },
      "onboardingCloudInitToken": {
        "type": "object",
        "properties": {
          "cloudinitConfig": {
            "$ref": "#/components/schemas/onboardingCloudInitConfiguration"
          },
          "deviceId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "deviceSerial": {
            "type": "string",
            "example": "example string"
          },
          "name": {
            "type": "string",
            "example": "example string"
          },
          "role": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "token": {
            "$ref": "#/components/schemas/onboardingCloudInitTokenToken"
          }
        },
        "additionalProperties": false
      },
      "onboardingCloudInitConfiguration": {
        "type": "object",
        "properties": {
          "deviceType": {
            "type": "string",
            "example": "example string"
          },
          "dnsServers": {
            "type": "string",
            "example": "example string"
          },
          "hostname": {
            "type": "string",
            "example": "example string"
          },
          "interfaces": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/onboardingInterface"
            }
          },
          "localWebPassword": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "onboardingCloudInitTokenToken": {
        "type": "object",
        "properties": {
          "createdByTs": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "expiryByTs": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "token": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "onboardingInterface": {
        "type": "object",
        "properties": {
          "ipv4": {
            "$ref": "#/components/schemas/onboardingIp"
          },
          "ipv6": {
            "$ref": "#/components/schemas/onboardingIp"
          },
          "name": {
            "type": "string",
            "example": "example string"
          },
          "type": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "googleProtobufTimestamp": {
        "type": "object",
        "properties": {
          "nanos": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "seconds": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      },
      "onboardingIp": {
        "type": "object",
        "properties": {
          "gatewayAddr": {
            "type": "string",
            "example": "example string"
          },
          "ipAddr": {
            "type": "string",
            "example": "example string"
          },
          "type": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

